Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516315 - SELinux is preventing dhclient from 'getattr' accesses on the file /run/dhclient-wlp4s0.pid.
Summary: SELinux is preventing dhclient from 'getattr' accesses on the file /run/dhcli...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a79b679b036e1c60c3319ff1e68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 13:03 UTC by Zdenek Chmelar
Modified: 2018-11-30 22:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:39:06 UTC


Attachments (Terms of Use)

Description Zdenek Chmelar 2017-11-22 13:03:24 UTC
Description of problem:
SELinux is preventing dhclient from 'getattr' accesses on the file /run/dhclient-wlp4s0.pid.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/run/dhclient-wlp4s0.pid default label should be dhcpc_var_run_t.
Then you can run restorecon. The access attempt may have been stopped due to insufficient permissions to access a parent directory in which case try to change the following command accordingly.
Do
# /sbin/restorecon -v /run/dhclient-wlp4s0.pid

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that dhclient should be allowed getattr access on the dhclient-wlp4s0.pid file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'dhclient' --raw | audit2allow -M my-dhclient
# semodule -X 300 -i my-dhclient.pp

Additional Information:
Source Context                system_u:system_r:dhcpc_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/dhclient-wlp4s0.pid [ file ]
Source                        dhclient
Source Path                   dhclient
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.8.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.11-300.fc26.x86_64 #1 SMP Thu
                              Sep 7 18:32:12 UTC 2017 x86_64 x86_64
Alert Count                   135
First Seen                    2017-08-17 08:17:01 CEST
Last Seen                     2017-10-12 16:20:09 CEST
Local ID                      2bfb390b-057f-4db9-b135-40a5442e301a

Raw Audit Messages
type=AVC msg=audit(1507818009.248:383): avc:  denied  { getattr } for  pid=23997 comm="dhclient" path="/run/dhclient-wlp4s0.pid" dev="tmpfs" ino=2659520 scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file permissive=0


Hash: dhclient,dhcpc_t,var_run_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-260.8.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.13-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 850437

Comment 1 Ben Cotton 2018-11-27 14:33:46 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 22:39:06 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.